### File

`packages/eui/packages/components-next/src/lib/layout/eui-app/eui-app-header/header.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-header`
styleUrls | `./_styles/_index.scss`
templateUrl | `./header.component.html`

### Index

###### Properties
Public asService isHeaderShrinked
###### Inputs
isShrinkHeaderActive
###### HostBindings
attr.role class

### Constructor

`constructor(asService: UxAppShellService)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No

### Inputs

isShrinkHeaderActive
Default value : `false`

### HostBindings

attr.role
Default value : `'banner'`

class

### Properties

Public asService
Type : `UxAppShellService`

isHeaderShrinked
Default value : `false`

# result-matching ""

# No results matching ""